site_name: Shaarli Documentation
repo_url: https://github.com/shaarli/Shaarli
edit_uri: edit/master/doc/md
site_description: The personal, minimalist, super-fast, database free, bookmarking service
theme:
  name: readthedocs
  custom_dir: doc/custom_theme/
docs_dir: doc/md
site_dir: doc/html
# Disable strict mode until ReadTheDocs provides up-to-date MkDocs settings:
# - https://github.com/shaarli/Shaarli/issues/1179
# - https://github.com/rtfd/readthedocs.org/issues/4314
# strict: true

pages:
- Home: index.md
- Setup:
    - Server configuration: Server-configuration.md
    - Installation: Installation.md
    - Docker: Docker.md
    - Reverse Proxy: Reverse-proxy.md
    - Backup and restore: Backup-and-restore.md
    - Shaarli configuration: Shaarli-configuration.md
    - Plugins: Plugins.md
    - Upgrade and migration: Upgrade-and-migration.md
- Usage:
    - Usage: Usage.md
    - REST API: REST-API.md
    - Community and Related software: Community-and-related-software.md
- Development:
    - Development: dev/Development.md
    - Versioning: dev/Versioning.md
    - GnuPG signature: dev/GnuPG-signature.md
    - Plugin System: dev/Plugin-system.md
    - Translations: dev/Translations.md
    - Release Shaarli: dev/Release-Shaarli.md
    - Theming: dev/Theming.md
    - Unit tests: dev/Unit-tests.md
- Troubleshooting: Troubleshooting.md
